package com.red.circle.other.app.inner.service.sys;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysWeekStarGroupAddParamCmd;
import com.red.circle.other.inner.model.cmd.sys.SysWeekStarGroupQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysWeekStarGroupDTO;

/**
 * 周星分组
 *
 * @author zongpubin on 2023/11/3
 */
public interface SysWeekStarGroupClientService {

  PageResult<SysWeekStarGroupDTO> getPage(SysWeekStarGroupQryCmd query);

  void addGroup(SysWeekStarGroupAddParamCmd param);

  void deleteAndAssociateGroup(Long id);
}
